<?php

namespace Boussaid\Ehdaa\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class Ehdaat extends Entity
{
	 public function canEdit() {
        return true;
    }
	
	public static function getStructure(Structure $structure)
	{
		$structure->table = 'xf_bm_ehdaa';
		$structure->shortName = 'Boussaid\Ehdaa\XF:Ehdaat';
		//$structure->contentType = 'post';
		$structure->primaryKey = 'ehdaa_id';
		$structure->columns = [
			'ehdaa_id' => ['type' => self::UINT, 'autoIncrement' => true, 'nullable' => true],
			'ehdaa_userid' => ['type' => self::UINT, 'required' => true],			
			'ehdaa_date' => ['type' => self::UINT, 'required' => true, 'default' => \XF::$time],
			'ehdaa_from' => ['type' => self::STR, 'maxLength' => 20, 'required' => 'please_enter_valid_place'],
			'ehdaa_message' => ['type' => self::STR, 'required' => 'please_enter_valid_ehdaa']			
		];
		$structure->getters = [];
		$structure->relations = [
			'User' => [
				'entity' => 'XF:User',
				'type' => self::TO_ONE,
				'conditions' => 'ehdaa_userid',
				'primary' => true
			]
		];
		
		return $structure;
	}
	
	
}